#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( images )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${SQLITE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_statistics.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

install( FILES statisticsui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_statistics )


##### kopete_statistics (module) ################

tde_add_kpart( kopete_statistics AUTOMOC
  SOURCES
    statisticsplugin.cpp statisticsdb.cpp statisticsdialog.cpp
    statisticswidget.ui statisticscontact.cpp statisticsdcopiface.skel
  LINK kopete-shared tdehtml-shared ${SQLITE_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
